Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jcr.query
Enum IndexRules.FieldType

    java.lang.Object
      java.lang.Enum<IndexRules.FieldType>
          org.modeshape.jcr.query.IndexRules.FieldType

All Implemented Interfaces:
  Serializable, Comparable<IndexRules.FieldType>

Enclosing class:
  IndexRules

    public static enum IndexRules.FieldType

extends Enum<IndexRules.FieldType>

Enum Constant Summary
`BINARY`
`BOOLEAN`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`REFERENCE`
`STRING`
`WEAK_REFERENCE`

Method Summary
`static IndexRules.FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexRules.FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final IndexRules.FieldType STRING

### DOUBLE

    public static final IndexRules.FieldType DOUBLE

### FLOAT

    public static final IndexRules.FieldType FLOAT

### INT

    public static final IndexRules.FieldType INT

### BOOLEAN

    public static final IndexRules.FieldType BOOLEAN

### LONG

    public static final IndexRules.FieldType LONG

### DATE

    public static final IndexRules.FieldType DATE

### BINARY

    public static final IndexRules.FieldType BINARY

### REFERENCE

    public static final IndexRules.FieldType REFERENCE

### WEAK_REFERENCE

    public static final IndexRules.FieldType WEAK_REFERENCE

### DECIMAL

    public static final IndexRules.FieldType DECIMAL

Method Detail

### values

    public static IndexRules.FieldType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexRules.FieldType c : IndexRules.FieldType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexRules.FieldType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.